Bug 600785 - 3-button-emulation fails with Fedora 13 on Dell D600
Summary: 3-button-emulation fails with Fedora 13 on Dell D600
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-server   
(Show other bugs)
Version: 13
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-06 02:07 UTC by amylaar
Modified: 2018-04-11 16:01 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-11 12:43:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description amylaar 2010-06-06 02:07:43 UTC
Description of problem:
I have been using Fedora 11 (i386) - installed from DVD - on my Dell
Latitude D600.
cut & paste using 3-button emulation (i.e. pressing both 'mouse' buttons
simultaneously) used to work fine.
Recently a have upgraded to Fedora 13 using the Fedora 12 & Fedora 13 DVDs,
and using System->Administration->Software Update to get available updates.
Three-button emulation no longer works now.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Select a piece of text under X
2. Activate a window with active text entry, e.g. an
   xterm with vi in insert mode.
3. press both 'mouse' buttons simultaneously
  
Actual results:

Selection disappears

Expected results:

selected text is pasted


Additional info:

I'm not sure which component is actually to blame, udev is just a wild guess.

Comment 1 amylaar 2010-06-08 02:59:51 UTC
The problem seems to have gone away, although I don't know what triggered
the change in behaviour.

Comment 2 Matěj Cepl 2010-06-11 12:43:38 UTC
Thank you for letting us know. Feel free to reopen if this happens again.


Note You need to log in before you can comment on or make changes to this bug.